> For the complete documentation index, see [llms.txt](https://docs.bird.com/applications/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/applications/channels/channels/supported-channels/whatsapp/how-to/set-up-commerce-messaging/product-orders.md).

# Product orders

When a customer adds a product to their cart and proceeds to check out on WhatsApp, an order message is automatically generated.

### How to handle product orders

This order notification will be received in [Inbox](/applications/inbox/inbox.md) as a text message. The text will say "The customer has placed an order".

If you don't want to reply to these messages manually, you can set up a [flow](/applications/automation/flows.md) to handle them instead.

The order notification message will contain the following object, which you can use in a flow to automatically process the order:

```
"meta": {
"extraInformation": {
"timestamp": "1698414871"
},
"order": {
"products": [
{
"externalCatalogId": "1234567890123456,
"externalProductId": "lj7q2gb40j",
"quantity": 1,
"price": {
"currencyCode": "EUR",
"amount": 105,
"exponent": -1
}
}
]
}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/applications/channels/channels/supported-channels/whatsapp/how-to/set-up-commerce-messaging/product-orders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
